FAQ
Edit report at http://pear.php.net/bugs/bug.php?id=18105&edit=1

ID: 18105
Comment by: diricia@pear.phun.net
Reported By: diricia at pear dot phun dot net
Summary: PEAR upgrade from 1.9.0 to 1.9.1 not working
Status: Open
Type: Bug
Package: PEAR
Operating System: Mac OSX 10.6.5
Package Version: 1.9.1
PHP Version: 5.2.12
Roadmap Versions:
New Comment:

I've just noticed that in the pearcmd.php file the version is still
1.9.0


Previous Comments:
------------------------------------------------------------------------

[2010-12-08 15:00:57] diricia

Description:
------------
When upgrading PEAR from 1.9.0 to 1.9.1 the version stays 1.9.0

Please help me urgently. I need to install other packages that
required version 1.9.1 and cannot atm.

Test script:
---------------
pear upgrade --force --alldeps PEAR

My pear config is:
Mazikene-3:~ root# pear config-show
Configuration (channel pear.php.net):
=====================================
Auto-discover new Channels auto_discover <not set>
Default Channel default_channel pear.php.net
HTTP Proxy Server Address http_proxy <not set>
PEAR server [DEPRECATED] master_server pear.php.net
Default Channel Mirror preferred_mirror pear.php.net
Remote Configuration File remote_config <not set>
PEAR executables directory bin_dir
/Applications/MAMP/bin/php5/bin
PEAR documentation directory doc_dir
/Applications/MAMP/bin/php5/lib/php/doc
PHP extension directory ext_dir
/Applications/MAMP/bin/php5/lib/php/extensions/no-debug-non-zts-20050922
PEAR directory php_dir
/Applications/MAMP/bin/php5/lib/php
PEAR Installer cache directory cache_dir /tmp/pear/cache
PEAR configuration file cfg_dir
/Applications/MAMP/bin/php5.2/lib/php/cfg
directory
PEAR data directory data_dir
/Applications/MAMP/bin/php5/lib/php/data
PEAR Installer download download_dir /tmp/pear/cache
directory
PHP CLI/CGI binary php_bin
/Applications/MAMP/bin/php5/bin/php
php.ini location php_ini <not set>
--program-prefix passed to php_prefix <not set>
PHP's ./configure
--program-suffix passed to php_suffix <not set>
PHP's ./configure
PEAR Installer temp directory temp_dir /tmp/pear/temp
PEAR test directory test_dir
/Applications/MAMP/bin/php5/lib/php/test
PEAR www files directory www_dir
/Applications/MAMP/bin/php5.2/lib/php/www
Cache TimeToLive cache_ttl 3600
Preferred Package State preferred_state stable
Unix file mask umask 22
Debug Log Level verbose 1
PEAR password (for password <not set>
maintainers)
Signature Handling Program sig_bin /usr/local/bin/gpg
Signature Key Directory sig_keydir
/Applications/MAMP/conf/php5/pearkeys
Signature Key Id sig_keyid <not set>
Package Signature Type sig_type gpg
PEAR username (for username <not set>
maintainers)
User Configuration File Filename /var/root/.pearrc
System Configuration File Filename
/Applications/MAMP/conf/php5.2/pear.conf



Expected result:
----------------
When I go to the directory
/Applications/MAMP/bin/php5.2/lib/php and view the file
PEAR.php it is the correct version

--<snippet>--
*
* @category pear
* @package PEAR
* @author Stig Bakken <ssb@php.net>
* @author Tomas V.V. Cox <cox@idecnet.com>
* @author Greg Beaver <cellog@php.net>
* @copyright 1997-2006 The PHP Group
* @license http://opensource.org/licenses/bsd-license.php
New BSD License
* @version Release: 1.9.1
* @link http://pear.php.net/package/PEAR
* @see PEAR_Error
* @since Class available since PHP 4.0.2
* @link
http://pear.php.net/manual/en/core.pear.php#core.pear.pear

Actual result:
--------------
Mazikene-3:~ root# pear upgrade --force --alldeps PEAR
downloading PEAR-1.9.1.tgz ...
Starting to download PEAR-1.9.1.tgz (293,587 bytes)
.............................................................done:
293,587
bytes
upgrade ok: channel://pear.php.net/PEAR-1.9.1
PEAR: Optional feature webinstaller available (PEAR's web-
based installer)
PEAR: Optional feature gtkinstaller available (PEAR's PHP-
GTK-based installer)
PEAR: Optional feature gtk2installer available (PEAR's PHP-
GTK2-based installer)
PEAR: To install optional features use "pear install
pear/PEAR#featurename"
Mazikene-3:~ root#
Mazikene-3:~ root# pear -V
PEAR Version: 1.9.0
PHP Version: 5.2.13
Zend Engine Version: 2.2.0

------------------------------------------------------------------------

Search Discussions

  • Diricia at Dec 8, 2010 at 2:45 pm
    Edit report at http://pear.php.net/bugs/bug.php?id=18105&edit=1

    ID: 18105
    Updated by: diricia@pear.phun.net
    Reported By: diricia at pear dot phun dot net
    Summary: PEAR upgrade from 1.9.0 to 1.9.1 not working
    -Status: Open
    +Status: Closed
    Type: Bug
    Package: PEAR
    Operating System: Mac OSX 10.6.5
    Package Version: 1.9.1
    PHP Version: 5.2.12
    -Assigned To:
    +Assigned To: diricia
    Roadmap Versions:
    New Comment:

    -Status: Open
    +Status: Closed
    -Assigned To:
    +Assigned To: diricia
    My pear keys where pointing to php5 instead of php 5.2 which is in my
    path.

    For those that have the same problem. List your pear keys with:

    $ pear config-show

    Update the keys with (This assumes you are using MAMP):

    pear config-set [key] [path]

    PEAR documentation directory doc_dir
    /Applications/MAMP/bin/php5.x/lib/php/doc
    PHP extension directory ext_dir
    /Applications/MAMP/bin/php5.x/lib/php/extensions
    PEAR directory php_dir
    /Applications/MAMP/bin/php5.x/lib/php/PEAR
    PHP CLI/CGI binary php_bin
    /Applications/MAMP/bin/php5.x/bin/php
    php.ini location php_ini
    /Applications/MAMP/conf/php5.x/php.ini
    Signature Key Directory sig_keydir
    /Applications/MAMP/conf/php5.x/pearkeys

    To find your php version:

    $ php -i


    Previous Comments:
    ------------------------------------------------------------------------

    [2010-12-08 15:07:45] diricia

    I've just noticed that in the pearcmd.php file the version is still
    1.9.0

    ------------------------------------------------------------------------

    [2010-12-08 15:00:57] diricia

    Description:
    ------------
    When upgrading PEAR from 1.9.0 to 1.9.1 the version stays 1.9.0

    Please help me urgently. I need to install other packages that
    required version 1.9.1 and cannot atm.

    Test script:
    ---------------
    pear upgrade --force --alldeps PEAR

    My pear config is:
    Mazikene-3:~ root# pear config-show
    Configuration (channel pear.php.net):
    =====================================
    Auto-discover new Channels auto_discover <not set>
    Default Channel default_channel pear.php.net
    HTTP Proxy Server Address http_proxy <not set>
    PEAR server [DEPRECATED] master_server pear.php.net
    Default Channel Mirror preferred_mirror pear.php.net
    Remote Configuration File remote_config <not set>
    PEAR executables directory bin_dir
    /Applications/MAMP/bin/php5/bin
    PEAR documentation directory doc_dir
    /Applications/MAMP/bin/php5/lib/php/doc
    PHP extension directory ext_dir
    /Applications/MAMP/bin/php5/lib/php/extensions/no-debug-non-zts-20050922
    PEAR directory php_dir
    /Applications/MAMP/bin/php5/lib/php
    PEAR Installer cache directory cache_dir /tmp/pear/cache
    PEAR configuration file cfg_dir
    /Applications/MAMP/bin/php5.2/lib/php/cfg
    directory
    PEAR data directory data_dir
    /Applications/MAMP/bin/php5/lib/php/data
    PEAR Installer download download_dir /tmp/pear/cache
    directory
    PHP CLI/CGI binary php_bin
    /Applications/MAMP/bin/php5/bin/php
    php.ini location php_ini <not set>
    --program-prefix passed to php_prefix <not set>
    PHP's ./configure
    --program-suffix passed to php_suffix <not set>
    PHP's ./configure
    PEAR Installer temp directory temp_dir /tmp/pear/temp
    PEAR test directory test_dir
    /Applications/MAMP/bin/php5/lib/php/test
    PEAR www files directory www_dir
    /Applications/MAMP/bin/php5.2/lib/php/www
    Cache TimeToLive cache_ttl 3600
    Preferred Package State preferred_state stable
    Unix file mask umask 22
    Debug Log Level verbose 1
    PEAR password (for password <not set>
    maintainers)
    Signature Handling Program sig_bin /usr/local/bin/gpg
    Signature Key Directory sig_keydir
    /Applications/MAMP/conf/php5/pearkeys
    Signature Key Id sig_keyid <not set>
    Package Signature Type sig_type gpg
    PEAR username (for username <not set>
    maintainers)
    User Configuration File Filename /var/root/.pearrc
    System Configuration File Filename
    /Applications/MAMP/conf/php5.2/pear.conf



    Expected result:
    ----------------
    When I go to the directory
    /Applications/MAMP/bin/php5.2/lib/php and view the file
    PEAR.php it is the correct version

    --<snippet>--
    *
    * @category pear
    * @package PEAR
    * @author Stig Bakken <ssb@php.net>
    * @author Tomas V.V. Cox <cox@idecnet.com>
    * @author Greg Beaver <cellog@php.net>
    * @copyright 1997-2006 The PHP Group
    * @license http://opensource.org/licenses/bsd-license.php
    New BSD License
    * @version Release: 1.9.1
    * @link http://pear.php.net/package/PEAR
    * @see PEAR_Error
    * @since Class available since PHP 4.0.2
    * @link
    http://pear.php.net/manual/en/core.pear.php#core.pear.pear

    Actual result:
    --------------
    Mazikene-3:~ root# pear upgrade --force --alldeps PEAR
    downloading PEAR-1.9.1.tgz ...
    Starting to download PEAR-1.9.1.tgz (293,587 bytes)
    .............................................................done:
    293,587
    bytes
    upgrade ok: channel://pear.php.net/PEAR-1.9.1
    PEAR: Optional feature webinstaller available (PEAR's web-
    based installer)
    PEAR: Optional feature gtkinstaller available (PEAR's PHP-
    GTK-based installer)
    PEAR: Optional feature gtk2installer available (PEAR's PHP-
    GTK2-based installer)
    PEAR: To install optional features use "pear install
    pear/PEAR#featurename"
    Mazikene-3:~ root#
    Mazikene-3:~ root# pear -V
    PEAR Version: 1.9.0
    PHP Version: 5.2.13
    Zend Engine Version: 2.2.0

    ------------------------------------------------------------------------

Related Discussions

Discussion Navigation
viewthread | post
Discussion Overview
grouppear-bugs @
categoriesphp
postedDec 8, '10 at 2:06p
activeDec 8, '10 at 2:45p
posts2
users2
websitepear.php.net

2 users in discussion

Diricia: 1 post Diricia: 1 post

People

Translate

site design / logo © 2022 Grokbase